svn commit: samba r3592 - in branches/SAMBA_4_0/source/script/tests: .

tridge at samba.org tridge at samba.org
Sun Nov 7 10:02:27 GMT 2004


Author: tridge
Date: 2004-11-07 10:02:27 +0000 (Sun, 07 Nov 2004)
New Revision: 3592

WebSVN: http://websvn.samba.org/cgi-bin/viewcvs.cgi?view=rev&root=samba&rev=3592

Log:
auto-cleanup the test.$$ log files in these test scripts on control-C

Modified:
   branches/SAMBA_4_0/source/script/tests/test_echo.sh
   branches/SAMBA_4_0/source/script/tests/test_posix.sh
   branches/SAMBA_4_0/source/script/tests/test_rpc.sh


Changeset:
Modified: branches/SAMBA_4_0/source/script/tests/test_echo.sh
===================================================================
--- branches/SAMBA_4_0/source/script/tests/test_echo.sh	2004-11-07 10:00:32 UTC (rev 3591)
+++ branches/SAMBA_4_0/source/script/tests/test_echo.sh	2004-11-07 10:02:27 UTC (rev 3592)
@@ -14,6 +14,7 @@
 shift 4
 
 testit() {
+   trap "rm -f test.$$" EXIT
    cmdline="$*"
    if ! $cmdline > test.$$ 2>&1; then
        cat test.$$;

Modified: branches/SAMBA_4_0/source/script/tests/test_posix.sh
===================================================================
--- branches/SAMBA_4_0/source/script/tests/test_posix.sh	2004-11-07 10:00:32 UTC (rev 3591)
+++ branches/SAMBA_4_0/source/script/tests/test_posix.sh	2004-11-07 10:02:27 UTC (rev 3592)
@@ -17,6 +17,8 @@
 shift 3
 
 testit() {
+   trap "rm -f test.$$" EXIT
+
    cmdline="$*"
    if ! $cmdline > test.$$ 2>&1; then
        cat test.$$;

Modified: branches/SAMBA_4_0/source/script/tests/test_rpc.sh
===================================================================
--- branches/SAMBA_4_0/source/script/tests/test_rpc.sh	2004-11-07 10:00:32 UTC (rev 3591)
+++ branches/SAMBA_4_0/source/script/tests/test_rpc.sh	2004-11-07 10:02:27 UTC (rev 3592)
@@ -18,6 +18,7 @@
 shift 4
 
 testit() {
+   trap "rm -f test.$$" EXIT
    cmdline="$*"
    if ! $cmdline > test.$$ 2>&1; then
        cat test.$$;



More information about the samba-cvs mailing list